> For the complete documentation index, see [llms.txt](https://docs.meta-inf.hu/email-this-issue/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.meta-inf.hu/email-this-issue/email-this-issue-for-jira-server-data-center/documentation/outgoing-emails/email-templates/searching-for-issues-in-email-templates.md).

# Searching for issues in email templates

<mark style="color:green;">SINCE 7.1.2</mark>

Email This Issue allows template developers to search for issues and render them into the email using the template support API.

{% hint style="info" %}
**Note**: JQL query can be generated  dynamically using the information of the current issue or user.
{% endhint %}

## Getting the first issue that matches a JQL query <a href="#searchforissuesinemailtemplates-getthefirstissuethatmatchesajqlquery" id="searchforissuesinemailtemplates-getthefirstissuethatmatchesajqlquery"></a>

The following example searches for the first issue matching the JQL query.

```
#set($firtstIssue = $!templateSupport.firstIssueMatchingJQL("project = $issue.projectObject.key AND assignee=$!currentUser.name AND priority = Highest ORDER BY rank"))

$!firstIssue.summary
```

## Checking if an issue matches a JQL query <a href="#searchforissuesinemailtemplates-checkifanissuematchesajqlquery" id="searchforissuesinemailtemplates-checkifanissuematchesajqlquery"></a>

Sometimes is necessary to develop conditional templates based on complex issue attributes.

```
#if($!templateSupport.issueMatchesJQL("mycustomfield = somevalue AND component=ImportantComponent", $!issue) 
## do something...
#end
```

## Finding issues using JQL  <a href="#searchforissuesinemailtemplates-findissuesusingjql" id="searchforissuesinemailtemplates-findissuesusingjql"></a>

Fetch and iterate through the list of issues matching a JQL query.

```
#set($searchResults = $!templateSupport.searchForIssuesByJQL("project=IT AND resolution=Unresolved", 10))
  #foreach($result in $searchResults.getResults())
$velocityCount - $!result.key (comments: $!result.comments.size())
  #end
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.meta-inf.hu/email-this-issue/email-this-issue-for-jira-server-data-center/documentation/outgoing-emails/email-templates/searching-for-issues-in-email-templates.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
